'use strict';

var _appRootPath = require('app-root-path');

var _appRootPath2 = _interopRequireDefault(_appRootPath);

var _typescript = require('typescript');

var _typescript2 = _interopRequireDefault(_typescript);

var _babelJest = require('babel-jest');

var _babelJest2 = _interopRequireDefault(_babelJest);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tsConfig = require(_appRootPath2.default.path + '/tsconfig.json');

module.exports = {
	process: function process(src, path) {
		var isTypeScript = path.endsWith('.ts') || path.endsWith('.tsx');
		var isJavaScript = path.endsWith('.js') || path.endsWith('.jsx');

		if (isTypeScript) {
			src = _typescript2.default.transpile(src, tsConfig.compilerOptions, path, []);
		}

		if (isJavaScript || isTypeScript) {
			// babel jest hack for transpile string src
			var fileName = isJavaScript ? path : 'file.js';

			src = _babelJest2.default.process(src, fileName);
		}

		return src;
	}
};
